BatchTest.ConcurrentBatchingHelper (jTDS API)
Keywords: net.sourceforge.jtds.test.BatchTest.ConcurrentBatchingHelper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class BatchTest.ConcurrentBatchingHelper

    java.lang.Object
      java.lang.Thread
          net.sourceforge.jtds.test.BatchTest.ConcurrentBatchingHelper

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  BatchTest

private class BatchTest.ConcurrentBatchingHelper
extends java.lang.Thread

Helper thread used by `testConcurrentBatching()` to execute a batch within a transaction that is then rolled back. Starting a couple of these threads concurrently should show whether there are any race conditions WRT preparation and execution in the batching implementation.

Field Summary
`private java.sql.Connection` | `con` Connection on which to do the work.
`private java.util.Vector` | `exceptions` Container to store any exceptions into.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`(package private)` | `BatchTest.ConcurrentBatchingHelper(java.sql.Connection con, java.util.Vector exceptions)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### con

    private java.sql.Connection con

  Connection on which to do the work.

### exceptions

    private java.util.Vector exceptions

  Container to store any exceptions into.

Constructor Detail

### BatchTest.ConcurrentBatchingHelper

    BatchTest.ConcurrentBatchingHelper(java.sql.Connection con,
                                       java.util.Vector exceptions)

Method Detail

### run

    public void run()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009